Arch Add/es: Difference between revisions

From FreeCAD Documentation
(Created page with "# Selecciona el objeto(s) a ser añadido, luego el objeto "huésped" (el objeto huésped debe ser el último que selecciones) # Presiona el botón 16px ...")
(Created page with "==Programación==")
Line 19: Line 19:
# Presiona el botón [[Image:Arch Add.png|16px]] '''Añadir'''
# Presiona el botón [[Image:Arch Add.png|16px]] '''Añadir'''


==Scripting==
==Programación==


The Add tool can by used in [[macros]] and from the python console by using the following function:
The Add tool can by used in [[macros]] and from the python console by using the following function:

Revision as of 00:15, 29 November 2013

Arch Add

Ubicación en el Menú
Arquitectura -> Adicción
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Arch Suprimir

Descripción

La herramienta de adicción te permite realizar cuatro tipos de operaciones:

En la imagen superior, un cubo se añade a un muro.

Utilización

  1. Selecciona el objeto(s) a ser añadido, luego el objeto "huésped" (el objeto huésped debe ser el último que selecciones)
  2. Presiona el botón Añadir

Programación

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)